﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace blog.danielvistisen.com.Validation.Core.Attributes
{
    [AttributeUsage(AttributeTargets.Property, Inherited = false, AllowMultiple = false)]
    public sealed class ValidateMethodAttribute : Attribute
    {
        private readonly string methodName;

        public ValidateMethodAttribute(string methodName)
        {
            this.methodName = methodName;
        }

        public string MethodName
        {
            get { return methodName; }
        }
    }
}
